Package org.eclipse.remote.core

## Interface IRemoteConnectionHostService

All Superinterfaces:
  `IRemoteConnection.Service`

All Known Implementing Classes:
  `TelnetConnection`

    public interface IRemoteConnectionHostService
    extends IRemoteConnection.Service

A service to obtain host specific information.

Since:
  2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`IRemoteConnection.Service.Factory`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getHostname()` Obtain the hostname associated with this connection.
`String` `getPassphrase()` Get the pass phrase associated with this connection.
`String` `getPassword()` Get the password associated with this connection.
`int` `getPort()` Obtain the port associated with this connection
`int` `getTimeout()` Obtain the timeout used when establishing the connection.
`String` `getUsername()` Obtain the username associated with this connection.
`void` `setHostname​(String hostname)` Set the hostname associated with this connection.
`void` `setPassphrase​(String passphrase)` Set the pass phrase associated with this connection.
`void` `setPassword​(String password)` Set the password associated with this connection.
`void` `setPort​(int port)` Set the port used for the connection.
`void` `setTimeout​(int timeout)` Set the timeout used when establishing the connection.
`void` `setUseLoginShell​(boolean useLogingShell)` Set the flag indicating a login shell should be stated for this connection.
`void` `setUsePassword​(boolean usePassword)` Set the connection to try password authentication first.
`void` `setUsername​(String username)` Set the username associated with this connection.
`boolean` `useLoginShell()` Obtain the flag that indicates a login shell should be started once the connection is established
`boolean` `usePassword()` Get the value of the use password authentication flag.

### Methods inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`getRemoteConnection`

### Method Detail

#### getHostname

    String getHostname()

Obtain the hostname associated with this connection.

Returns:
  hostname

#### getPort

    int getPort()

Obtain the port associated with this connection

Returns:
  port

#### getTimeout

    int getTimeout()

Obtain the timeout used when establishing the connection.

Returns:
  timeout

#### getPassphrase

    String getPassphrase()

Get the pass phrase associated with this connection.

Returns:
  pass phrase
Since:
  3.0

#### getPassword

    String getPassword()

Get the password associated with this connection.

Returns:
  password
Since:
  3.0

#### usePassword

    boolean usePassword()

Get the value of the use password authentication flag. If true, the connection will try using a password first.

Returns:
  use password authentication flag
Since:
  3.0

#### useLoginShell

    boolean useLoginShell()

Obtain the flag that indicates a login shell should be started once the connection is established

Returns:
  login shell flag

#### getUsername

    String getUsername()

Obtain the username associated with this connection.

Returns:

#### setHostname

    void setHostname​(String hostname)

Set the hostname associated with this connection. Note, this method can only be used for an IRemoteConnectionWorkingCopy and will have no effect otherwise.

Parameters:
  `hostname` - new hostname for connection

#### setPassphrase

    void setPassphrase​(String passphrase)

Set the pass phrase associated with this connection. Note, this method can only be used for an IRemoteConnectionWorkingCopy and will have no effect otherwise.

Parameters:
  `passphrase` -

#### setPassword

    void setPassword​(String password)

Set the password associated with this connection. Note, this method can only be used for an IRemoteConnectionWorkingCopy and will have no effect otherwise.

Parameters:
  `password` - new password for connection

#### setPort

    void setPort​(int port)

Set the port used for the connection. Note, this method can only be used forh an IRemoteConnectionWorkingCopy and will have no effect otherwise.

Parameters:
  `port` - new port for connection

#### setTimeout

    void setTimeout​(int timeout)

Set the timeout used when establishing the connection. A timeout of 0 means infinite. Note, this method can only be used for an IRemoteConnectionWorkingCopy and will have no effect otherwise.

Parameters:
  `timeout` - new timeout value

#### setUseLoginShell

    void setUseLoginShell​(boolean useLogingShell)

Set the flag indicating a login shell should be stated for this connection. Note, this method can only be used for an IRemoteConnectionWorkingCopy and will have no effect otherwise.

Parameters:
  `useLogingShell` - true to start a login shell

#### setUsePassword

    void setUsePassword​(boolean usePassword)

Set the connection to try password authentication first. Note, this method can only be used for an IRemoteConnectionWorkingCopy and will have no effect otherwise.

Parameters:
  `usePassword` - use password authentication

#### setUsername

    void setUsername​(String username)

Set the username associated with this connection. Note, this method can only be used for an IRemoteConnectionWorkingCopy and will have no effect otherwise.

Parameters:
  `username` - new username for connection